Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class LinkedDataRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.LinkedDataRecord

    public final class LinkedDataRecord

extends StandardRecord

Describes a linked data record. This record refers to the series data or text.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` | `LINK_TYPE_CATEGORIES`
`static byte` | `LINK_TYPE_TITLE_OR_TEXT`
`static byte` | `LINK_TYPE_VALUES`
`static byte` | `REFERENCE_TYPE_DEFAULT_CATEGORIES`
`static byte` | `REFERENCE_TYPE_DIRECT`
`static byte` | `REFERENCE_TYPE_ERROR_REPORTED`
`static byte` | `REFERENCE_TYPE_NOT_USED`
`static byte` | `REFERENCE_TYPE_WORKSHEET`
`static short` | `sid`

Constructor Summary
`LinkedDataRecord()`
`LinkedDataRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`Ptg[]` | `getFormulaOfLink()` Get the formula of link field for the LinkedData record.
`short` | `getIndexNumberFmtRecord()` Get the index number fmt record field for the LinkedData record.
`byte` | `getLinkType()` Get the link type field for the LinkedData record.
`short` | `getOptions()` Get the options field for the LinkedData record.
`byte` | `getReferenceType()` Get the reference type field for the LinkedData record.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isCustomNumberFormat()` true if this object has a custom number format
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCustomNumberFormat(boolean value)` Sets the custom number format field value.
`void` | `setFormulaOfLink(Ptg[] ptgs)` Set the formula of link field for the LinkedData record.
`void` | `setIndexNumberFmtRecord(short field_4_indexNumberFmtRecord)` Set the index number fmt record field for the LinkedData record.
`void` | `setLinkType(byte field_1_linkType)` Set the link type field for the LinkedData record.
`void` | `setOptions(short field_3_options)` Set the options field for the LinkedData record.
`void` | `setReferenceType(byte field_2_referenceType)` Set the reference type field for the LinkedData record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### LINK_TYPE_TITLE_OR_TEXT

    public static final byte LINK_TYPE_TITLE_OR_TEXT

See Also:
  Constant Field Values

### LINK_TYPE_VALUES

    public static final byte LINK_TYPE_VALUES

See Also:
  Constant Field Values

### LINK_TYPE_CATEGORIES

    public static final byte LINK_TYPE_CATEGORIES

See Also:
  Constant Field Values

### REFERENCE_TYPE_DEFAULT_CATEGORIES

    public static final byte REFERENCE_TYPE_DEFAULT_CATEGORIES

See Also:
  Constant Field Values

### REFERENCE_TYPE_DIRECT

    public static final byte REFERENCE_TYPE_DIRECT

See Also:
  Constant Field Values

### REFERENCE_TYPE_WORKSHEET

    public static final byte REFERENCE_TYPE_WORKSHEET

See Also:
  Constant Field Values

### REFERENCE_TYPE_NOT_USED

    public static final byte REFERENCE_TYPE_NOT_USED

See Also:
  Constant Field Values

### REFERENCE_TYPE_ERROR_REPORTED

    public static final byte REFERENCE_TYPE_ERROR_REPORTED

See Also:
  Constant Field Values

Constructor Detail

### LinkedDataRecord

    public LinkedDataRecord()

### LinkedDataRecord

    public LinkedDataRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getLinkType

    public byte getLinkType()

  Get the link type field for the LinkedData record.

  Returns:
    One of LINK_TYPE_TITLE_OR_TEXT LINK_TYPE_VALUES LINK_TYPE_CATEGORIES

### setLinkType

    public void setLinkType(byte field_1_linkType)

  Set the link type field for the LinkedData record.

  Parameters:
    `field_1_linkType` - One of LINK_TYPE_TITLE_OR_TEXT LINK_TYPE_VALUES LINK_TYPE_CATEGORIES

### getReferenceType

    public byte getReferenceType()

  Get the reference type field for the LinkedData record.

  Returns:
    One of REFERENCE_TYPE_DEFAULT_CATEGORIES REFERENCE_TYPE_DIRECT REFERENCE_TYPE_WORKSHEET REFERENCE_TYPE_NOT_USED REFERENCE_TYPE_ERROR_REPORTED

### setReferenceType

    public void setReferenceType(byte field_2_referenceType)

  Set the reference type field for the LinkedData record.

  Parameters:
    `field_2_referenceType` - One of REFERENCE_TYPE_DEFAULT_CATEGORIES REFERENCE_TYPE_DIRECT REFERENCE_TYPE_WORKSHEET REFERENCE_TYPE_NOT_USED REFERENCE_TYPE_ERROR_REPORTED

### getOptions

    public short getOptions()

  Get the options field for the LinkedData record.

### setOptions

    public void setOptions(short field_3_options)

  Set the options field for the LinkedData record.

### getIndexNumberFmtRecord

    public short getIndexNumberFmtRecord()

  Get the index number fmt record field for the LinkedData record.

### setIndexNumberFmtRecord

    public void setIndexNumberFmtRecord(short field_4_indexNumberFmtRecord)

  Set the index number fmt record field for the LinkedData record.

### getFormulaOfLink

    public Ptg[] getFormulaOfLink()

  Get the formula of link field for the LinkedData record.

### setFormulaOfLink

    public void setFormulaOfLink(Ptg[] ptgs)

  Set the formula of link field for the LinkedData record.

### setCustomNumberFormat

    public void setCustomNumberFormat(boolean value)

  Sets the custom number format field value. true if this object has a custom number format

### isCustomNumberFormat

    public boolean isCustomNumberFormat()

  true if this object has a custom number format

  Returns:
    the custom number format field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD